API Reference
Render JPEG stills for selected slides at the exact platform frame (TikTok photo is 1080x1920). Returns signed image URLs.
Authorization
ApiKeyAuth Authorization<token>
Use Bearer br_live_....
In: header
Path Parameters
projectId*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/carousels/497f6eca-6276-4993-bfeb-53cbbbba6f08/preview" \ -H "Content-Type: application/json" \ -d '{}'{ "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9", "revision": 0, "platform": "tiktok_photo", "frame": { "width": -9007199254740991, "height": -9007199254740991, "aspect_ratio": "string" }, "slides": [ { "index": 0, "preview_url": "string", "width": -9007199254740991, "height": -9007199254740991, "expires_at": "string", "print": "slots" } ], "warnings": [ { "code": "string", "message": "string", "field": "string", "repair": "string" } ], "next_actions": [ { "method": "GET", "path": "string", "reason": "string" } ]}